NOTE: The patches in this file are taken from the CVS repository for the
      VisualBoyAdvance project; they are distributed under the same
      license as VisualBoyAdvance itself (GPL version 2 or later).

diff -urN ../VisualBoyAdvance-1.7.2/.cvsignore ./.cvsignore
--- ../VisualBoyAdvance-1.7.2/.cvsignore	1970-01-01 09:00:00 +0900
+++ ./.cvsignore	2004-01-21 12:40:10 +0900
@@ -0,0 +1,2 @@
+autom4te.cache
+.DS_Store
diff -urN ../VisualBoyAdvance-1.7.2/AUTHORS ./AUTHORS
--- ../VisualBoyAdvance-1.7.2/AUTHORS	2004-05-22 23:02:30 +0900
+++ ./AUTHORS	2006-04-30 04:06:28 +0900
@@ -12,3 +12,4 @@
 - KVA: ARM/THUMB disassembler
 - kxu: GTK+ interface
 - Yann Parmentier aka kohai: new icons
+- Spacy: Windows, Visual Studio 2005, DirectX
\ No newline at end of file
diff -urN ../VisualBoyAdvance-1.7.2/INSTALL ./INSTALL
--- ../VisualBoyAdvance-1.7.2/INSTALL	2004-05-22 23:06:32 +0900
+++ ./INSTALL	2006-08-25 21:28:38 +0900
@@ -65,6 +65,49 @@
 2. Windows
 ----------
 
+2.1 Visual C++ 2005 Express Edition
+-----------------------------------
+
+If you want to use the free express edition of Visual C++ 2005,
+you have to do the following steps prior to the normal setup procedure of Visual C++/Studio 2005:
+!!! You will not be able to build the MFC (GUI) version of VBA, only the SDL build will succeed !!!
+- First download and install VC++ 2005 Express from http://msdn.microsoft.com/vstudio/express/visualC/default.aspx
+- Now follow the guide at http://msdn2.microsoft.com/en-us/library/ms235626.aspx
+- Now continue with section [2.2]
+
+2.2 Visual C++ 2005
+-------------------
+
+Needed software:
+- Microsoft Visual C++ 2005 (buy if not using Express Edition or if MFC build is required)
+ > http://msdn.microsoft.com/visualc/
+ > You do not need the DLL runtimes and the .NET Framework
+- Microsoft Platform SDK (free, optional, essential only for express edition)
+ > http://www.microsoft.com/downloads/details.aspx?FamilyId=E15438AC-60BE-41BD-AA14-7F1E0F19CA0D&displaylang=en
+- Microsoft DirectX 9.0 SDK (free, essential)
+ > http://msdn.com/directx/sdk
+   (August 2006 version as I write these lines)
+- Yasm (free, essential)
+ > http://www.tortall.net/projects/yasm/
+ > Follow the install guide at http://www.tortall.net/projects/yasm/wiki/VisualStudio2005
+- AMD CodeAnalyst (optional, AMD CPU required)
+ > http://developer.amd.com/cawin.aspx?session_id=FB$37649@DJEBIGID
+ > Free and easy profiling for AMD CPUs (32bit and 64bit), Visual Studio 2005 plugin
+ 
+ Those are all packages for now. The VBA source also includes the
+ sources and/or binaries of various free libraries for zip and image support.
+ Those can be accessed through the "dependencies" folder in the main
+ solution file. The main solution file includes references to all files
+ for all platforms. At the moment, only MFC and SDL build targets for
+ 32bit Windows are configured. GTK+ and 64bit Windows support are also possible,
+ but are not yet added for several reasons.
+
+ You can now open the project file: "win32/vba_vs2005.sln".
+ Info: If you use the express edition of VC++ 2005, you will receive three neglectable warnings.
+
+2.3 Visual C++ 6.0 and Visual C++ 2002
+--------------------------------------
+
 Needed software:
 - nasm: see above for URL. Install it in the default directory
 - Microsoft Visual C++ 6.0 or greater: to compile
diff -urN ../VisualBoyAdvance-1.7.2/NEWS ./NEWS
--- ../VisualBoyAdvance-1.7.2/NEWS	2004-05-21 05:22:43 +0900
+++ ./NEWS	2004-12-21 00:02:43 +0900
@@ -1,3 +1,52 @@
+Version 1.8.0:
+Core changes:
+- added almost all AR V3 cheat codes (PokemonHacker)
+- added prefetch emulation
+- added full CBA support (verified for every CBA code type)
+- added emulation for DMA interaction with reading from invalid address 
+- fixed CPU init for 256Mbit roms
+- fixed HuffUnComp bug regarding tree size (SF #984608)
+- fixed RTC support for day of the week (fixed at Sunday before)
+- fixed loading of ELF multiboot files (thanks J.W.)
+- fixed bug on CBA code type 5
+- fixed OBJWIN rendering bug when sprite wraps around (SF #1065447)
+- fixed battery saving bug when save type equals to Flash or Sram 
+- fixed a compilation warning 
+- fixed BIOS ArcTan and ArcTan2 emulation (several bugs)
+- fixed some instruction having incorrect cycles (caused SDL debugger to skip several instructions)
+- fixed lq2x filter (was using hq2x code) 
+- fixed some bugs with IntrWait emulation 
+- fixed some timer bugs 
+- fixed memory timing when loading a save state (was using the timings before loading the state) 
+- fixed bug writing to IO register past 0x4000400 (no mirroring) 
+- initialize sram and flash memory to 0xff instead of 0x00 
+- clean flash/sram on load/reload 
+- ignore 8-bit writes to OBJ and OAM memory 
+- major AR V1/2/3 support by PokemonHacker 
+- simplified GBA emulation loop (easier to understand and maintain) 
+
+Windows:
+- added dialog to edit game overrides
+- added GPL link to Help menu 
+- fixed GB Disassemble crash when going to another address
+- fixed a minor repaint bug when focus changed
+- fixed problem displaying rom names that use & character 
+- fixed palette save name bug
+- moved vsync code to where it should be
+- moved common palette initialization and cleaned up rendering code to use it
+
+SDL versions:
+- SDL debugger improvements adapted from VBA-H: 
+  - break on change
+  - conditional breakpoints (ARM and THUMB)
+  - dump load and save (memory)
+  - edit register (exception of R15)
+  - disassemble to file
+  - save and load state from debugger
+
+Other:
+- fixed some compilation issues (libpng, gtkmm)
+
 Version 1.7.2:
 Core changes:
 - fixed bugs on ELF clean up
diff -urN ../VisualBoyAdvance-1.7.2/README ./README
--- ../VisualBoyAdvance-1.7.2/README	2004-05-22 23:05:38 +0900
+++ ./README	2004-12-21 00:02:43 +0900
@@ -1,4 +1,4 @@
-Welcome to version 1.7.2 of VisualBoyAdvance [SDL].
+Welcome to version 1.8.0 of VisualBoyAdvance [SDL].
 This is a GB/GBC/GBA emulator for Windows, Linux, MacOS X and BeOS.
 
 Features
diff -urN ../VisualBoyAdvance-1.7.2/VERSION ./VERSION
--- ../VisualBoyAdvance-1.7.2/VERSION	2004-03-24 02:21:53 +0900
+++ ./VERSION	2004-12-21 00:02:43 +0900
@@ -1 +1 @@
-VisualBoyAdvance 1.7.2
+VisualBoyAdvance 1.8.0
diff -urN ../VisualBoyAdvance-1.7.2/configure.in ./configure.in
--- ../VisualBoyAdvance-1.7.2/configure.in	2004-05-14 06:38:35 +0900
+++ ./configure.in	2006-09-04 06:52:24 +0900
@@ -16,7 +16,7 @@
     ;;
 esac
 
-AM_INIT_AUTOMAKE(VisualBoyAdvance, 1.7.2)
+AM_INIT_AUTOMAKE(VisualBoyAdvance, 1.8.0)
 
 AC_ARG_ENABLE(c-core,
   AC_HELP_STRING([--enable-c-core],[enable C core (default is no on x86 targets)]),
@@ -63,10 +63,12 @@
 dnl Checks for libraries.
 AC_CHECK_LIB(z, gzopen,
   , AC_MSG_ERROR([*** Cannot compile without zlib.]))
-AC_CHECK_LIB(png, png_create_write_struct,
-  , AC_MSG_ERROR([*** Cannot compile without libpng.]), [-lz])
 AC_CHECK_LIB(pthread, pthread_yield)
 
+PKG_CHECK_MODULES(LIBPNG, libpng)
+CPPFLAGS="$CPPFLAGS $LIBPNG_CFLAGS"
+LIBS="$LIBS $LIBPNG_LIBS"
+
 dnl Checks for header files.
 AC_PATH_X
 AC_HEADER_STDC
@@ -102,6 +104,8 @@
 
 VBA_LIBS="../gb/libgb.a"
 
+CXXFLAGS="$CXXFLAGS -DBKPT_SUPPORT"
+
 if test "x$enable_c_core" = xyes; then
   CXXFLAGS="$CXXFLAGS -DC_CORE"
 fi
@@ -138,7 +142,7 @@
   ALL_LINGUAS="fr"
   AM_GNU_GETTEXT(external)
   AC_CHECK_HEADERS(libintl.h)
-  GETTEXT_PACKAGE=vba-1.7.2
+  GETTEXT_PACKAGE=vba-1.8.0
   AC_SUBST(GETTEXT_PACKAGE)
 
   PKG_CHECK_MODULES(GTKMM, gtkmm-$gtk_version >= 2.0.0 libglademm-$gtk_version >= 2.1.0)
diff -urN ../VisualBoyAdvance-1.7.2/fix-timestamps ./fix-timestamps
--- ../VisualBoyAdvance-1.7.2/fix-timestamps	1970-01-01 09:00:00 +0900
+++ ./fix-timestamps	2004-01-18 08:09:27 +0900
@@ -0,0 +1,4 @@
+#! /bin/sh
+touch acinclude.m4 aclocal.m4
+touch configure
+touch `find . -name Makefile.in`
diff -urN ../VisualBoyAdvance-1.7.2/src/2xSaI.cpp ./src/2xSaI.cpp
--- ../VisualBoyAdvance-1.7.2/src/2xSaI.cpp	2004-01-26 11:12:15 +0900
+++ ./src/2xSaI.cpp	2004-09-16 07:12:51 +0900
@@ -1,6 +1,8 @@
 #include "System.h"
 #include "Port.h"
 
+extern int RGB_LOW_BITS_MASK;
+
 extern "C"
 {
 
@@ -48,6 +50,7 @@
       greenMask = 0x7E0;
       qRGB_COLOR_MASK[0] = qRGB_COLOR_MASK[1] = 0xF7DEF7DE;
       hq2x_init(16);
+      RGB_LOW_BITS_MASK = 0x0821; 
     } else if (BitFormat == 555) {
       colorMask = 0x7BDE7BDE;
       lowPixelMask = 0x04210421;
@@ -57,6 +60,7 @@
       greenMask = 0x3E0;
       qRGB_COLOR_MASK[0] = qRGB_COLOR_MASK[1] = 0x7BDE7BDE;
       hq2x_init(15);
+      RGB_LOW_BITS_MASK = 0x0421; 
     } else {
       return 0;
     }
@@ -67,6 +71,7 @@
     qlowpixelMask = 0x030303;
     qRGB_COLOR_MASK[0] = qRGB_COLOR_MASK[1] = 0xfefefe;
     hq2x_init(32);
+    RGB_LOW_BITS_MASK = 0x010101; 
   } else
     return 0;
 
diff -urN ../VisualBoyAdvance-1.7.2/src/AutoBuild.h ./src/AutoBuild.h
--- ../VisualBoyAdvance-1.7.2/src/AutoBuild.h	2004-05-16 06:36:44 +0900
+++ ./src/AutoBuild.h	2004-12-19 08:09:56 +0900
@@ -20,12 +20,12 @@
 #ifndef __AUTOBUILD_H__
 #define __AUTOBUILD_H__
 #ifndef VERSION
-#define VERSION       "1.7.2"
+#define VERSION       "1.8.0"
 #endif
 //change the FALSE to TRUE for autoincrement of build number
 #define INCREMENT_VERSION FALSE
-#define FILEVER        1,7,2,560
-#define PRODUCTVER     1,7,2,560
-#define STRFILEVER     "1, 7, 2, 560\0"
-#define STRPRODUCTVER  "1, 7, 2, 560\0"
+#define FILEVER        1,8,0,600
+#define PRODUCTVER     1,8,0,600
+#define STRFILEVER     "1, 8, 0, 600\0"
+#define STRPRODUCTVER  "1, 8, 0, 600\0"
 #endif //__AUTOBUILD_H__
